ByCloud Docs
GuidesCLIAPISDK
get/v1/load-balancers/{load_balancer_id}/l7-policies

List L7 policies

List all L7 policies for a load balancer

Path Parameters

load_balancer_id

string<uuid>required

path

Load Balancer ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

name

stringoptional

query

Filter by name (exact match or prefix with *)

Example: "web-*"

tags

stringoptional

query

Filter by tags (comma-separated)

Example: "web,production"

listener_id

string<uuid>optional

query

Filter by listener ID

action

stringoptional

query

Filter by action

Enum: "REDIRECT_TO_POOL", "REDIRECT_TO_URL", "REDIRECT_PREFIX", "REJECT"

Header Parameters

X-Region

stringrequired

header

Region code to query resources from. Required for all resource operations.

Example: "sao1"

Responses

200

List of L7 policies

Content-Type: application/json

l7_policies

arrayoptional

meta

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/load-balancers/550e8400-e29b-41d4-a716-446655440000/l7-policies" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of L7 policies

{
"l7_policies": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:loadbalancer:l7-policy:550e8400-e29b-41d4-a716-446655440000",
"name": "redirect-to-api",
"description": "string",
"provisioning_status": "ACTIVE",
"operating_status": "ONLINE",
"listener_id": "550e8400-e29b-41d4-a716-446655440000",
"action": "REDIRECT_TO_POOL",
"position": 1,
"redirect_pool_id": "550e8400-e29b-41d4-a716-446655440000",
"redirect_url": "string",
"redirect_prefix": "string",
"redirect_http_code": 302,
"rules": [
{
"id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
}
}